Skip to content
Start here

Update a filter

Deprecated
client.filters.update(stringfilterId, FilterUpdateParams { zone_id, description, expression, 2 more } params, RequestOptionsoptions?): FirewallFilter { id, description, expression, 2 more }
PUT/zones/{zone_id}/filters/{filter_id}

Updates an existing filter.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Firewall Services Write
ParametersExpand Collapse
filterId: string

The unique identifier of the filter.

maxLength32
minLength32
params: FilterUpdateParams { zone_id, description, expression, 2 more }
zone_id: string

Path param: Defines an identifier.

maxLength32
description?: string

Body param: An informative summary of the filter.

maxLength500
expression?: string

Body param: The filter expression. For more information, refer to Expressions.

paused?: boolean

Body param: When true, indicates that the filter is currently paused.

ref?: string

Body param: A short reference tag. Allows you to select related filters.

maxLength50
ReturnsExpand Collapse
FirewallFilter { id, description, expression, 2 more }
id?: string

The unique identifier of the filter.

maxLength32
minLength32
description?: string

An informative summary of the filter.

maxLength500
expression?: string

The filter expression. For more information, refer to Expressions.

paused?: boolean

When true, indicates that the filter is currently paused.

ref?: string

A short reference tag. Allows you to select related filters.

maxLength50

Update a filter

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const firewallFilter = await client.filters.update('372e67954025e0ba6aaa6d586b9e0b61', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(firewallFilter.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b61",
    "description": "Restrict access from these browsers on this address range.",
    "expression": "(http.request.uri.path ~ \".*wp-login.php\" or http.request.uri.path ~ \".*xmlrpc.php\") and ip.addr ne 172.16.22.155",
    "paused": false,
    "ref": "FIL-100"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b61",
    "description": "Restrict access from these browsers on this address range.",
    "expression": "(http.request.uri.path ~ \".*wp-login.php\" or http.request.uri.path ~ \".*xmlrpc.php\") and ip.addr ne 172.16.22.155",
    "paused": false,
    "ref": "FIL-100"
  },
  "success": true
}